#ifndef _SCRAMBLE_WLW_H_
#define _SCRAMBLE_WLW_H_

#include <stdint.h>
#include <netinet/in.h>

typedef uint32_t (*scrambler_ip4_t)(uint32_t, int);
typedef void     (*scrambler_ip6_t)(struct in6_addr *, int);

void     scramble_wlw_init(const char *, scrambler_ip4_t s4, scrambler_ip6_t);
void     scramble_wlw_clear();

uint32_t scramble_wlw_v4(uint32_t, int);
void     scramble_wlw_v6(struct in6_addr *, int);

#endif /* _SCRAMBLE_WLW_H */
